package com.cedarsoft.spring;

import com.cedarsoft.spring.rcp.SpringConfiguration;
import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;
import org.springframework.richclient.application.ApplicationLauncher;

import java.util.Locale;

/**
 *
 */
public class Minimal {
  @NotNull
  @NonNls
  private static final String[] CONFIG_LOCATIONS = {
    SpringConfiguration.COMMONS_UI,
    SpringConfiguration.ABSTRACT_UI,
    SpringConfiguration.DEFAULTS_UI,

    SpringConfiguration.ABSTRACT_BINDINGS,

    SpringConfiguration.COMMONS_BEANS,

    SpringConfiguration.ABSTRACT_CONVERSIONS,
    SpringConfiguration.DEFAULTS_CONVERSIONS,

    SpringConfiguration.ABSTRACT_EXCEPTIONS,
    SpringConfiguration.DEFAULTS_EXCEPTIONS,

    SpringConfiguration.ABSTRACT_APPLICATION,
    SpringConfiguration.COMMONS_APPLICATION,

    "/com/cedarsoft/spring/application.spr.xml",
    "/com/cedarsoft/spring/converter.spr.xml",
    "/com/cedarsoft/spring/binding.spr.xml",
    "/com/cedarsoft/spring/ui.spr.xml",
    "/com/cedarsoft/spring/model.spr.xml"
  };

  public static void main( String[] args ) {
    Locale.setDefault( Locale.GERMANY );

    try {
      //noinspection ResultOfObjectAllocationIgnored
      new ApplicationLauncher( SpringConfiguration.DEFAULT_STARTUP, CONFIG_LOCATIONS );
    } catch ( Exception e ) {
      e.printStackTrace();
      System.exit( 1 );
    }
  }

  private Minimal() {
  }
}
